> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Job Queue Event

> POSTs a request whenever a report and its corresponding job is created or updated.

This endpoint specifies what will be sent to the Job Queue Event Webhook. Zeal POSTs an object with corresponding job information whenever a report is created or its status is updated.

***

## Request Body

| attribute  | type   | description                                                                            |
| ---------- | ------ | -------------------------------------------------------------------------------------- |
| jobType    | string | Corresponding job type - parameters could be PreviewCheckDate PreviewChecks or Reports |
| reportType | string | The type of report the job is for                                                      |
| companyID  | string | Zeal `companyID` of Employer                                                           |
| status     | string | Status of job                                                                          |
| jobID      | string | Corresponding job ID                                                                   |

***

## Returns

Doesn't return anything, rather POSTs relevant job\_type & corresponding data to the webhook URL.

***

## Raw Content Example

```json theme={null}
{
  "jobID": "01ea85bf-9cbf-4ad1-acf2-2a277dfe0f5b",
  "status": "complete",
  "reportType": "taxable_wage",
  "companyID": "7456d5e912a74bc380fd5d1396fed8d2",
  "business_name": "Test Company",
  "createdAt": "2024-12-10T18:15:03.179Z",
  "updatedAt": "2024-12-10T18:15:03.179Z",
  "test": true,
  "timestamp": "2024-12-10T18:15:03.179Z",
}
```
